---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View product category

Returns details of a single product category

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product Category",
      "description": "Product Category represents the Product Category Tree that can be used to categorise products."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/productsCategories/{id}": {
      "get": {
        "tags": [
          "Product Category"
        ],
        "operationId": "productCategory.view",
        "summary": "View product category",
        "description": "Returns details of a single product category",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "example": {
                        "id": "3",
                        "name": "Clothing",
                        "parent": null
                      },
                      "additionalProperties": false,
                      "properties": {
                        "id": {
                          "type": "string",
                          "pattern": "\\d+",
                          "example": "17",
                          "description": "Resource identifier."
                        },
                        "name": {
                          "type": "string",
                          "description": "Name of the product category",
                          "example": "Clothing"
                        },
                        "parent": {
                          "description": "An optional object with id and name",
                          "type": "object",
                          "additionalProperties": false,
                          "required": [
                            "id",
                            "name"
                          ],
                          "nullable": true,
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            },
                            "name": {
                              "type": "string"
                            }
                          },
                          "example": {
                            "id": "1337",
                            "name": "Diamond"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Shows a single product category": {
                    "value": {
                      "data": {
                        "id": "3",
                        "name": "Food",
                        "parent": null
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```